Hardware and Software Requirements: Version 6.3 Data Protection for Oracle

Preventive Service Planning


Abstract

This document details the Hardware & Software requirements for Data Protection for Oracle 6.3.

Content

IBM Tivoli Storage Manager for Databases: Data Protection for Oracle 6.3 supports valid Oracle environments that meet all requirements defined by that product, and also meet the specific requirements listed below.
This document is divided into linked sections for ease of navigation. You may use the links below to jump to the desired section of the document.

Minimum hardware requirements

Minimum software and operating system requirements Virtualization support
Where to download IBM Tivoli Storage Manager for Databases 6.3.0
Links to the Hardware & Software requirements for other releases of Tivoli Storage Manager for Databases, and its components


Minimum hardware requirements

The following information describes the minimum hardware and disk space requirements when using Data Protection for Oracle .

AIX
    The following hardware is supported for the AIX platform.
    • IBM system p
    • IBM system i
    • Compatible hardware supported by the operating system and Oracle

    The following disk space is required for the AIX platform.
    • A minimum of 25MB of disk space, and optionally:
    • At least 15MB of disk space for each Language Pack to be installed (there are a total of 13 available)


HP Itanium
    The following hardware is supported for the HP Itanium platform.
    • 64-bit HP Integrity Server (Itanium), or newer
    • Compatible hardware supported by the operating system and Oracle

    The following disk space is required for the HP Itanium platform.
    • A minimum of 25MB of disk space, and optionally:
    • At least 15MB of disk space for each Language Pack to be installed (there are a total of 13 available)


Linux on x86
    The following hardware is supported for the Linux x86 platform.
    • 32-bit x86-based PC architecture hardware
    • Compatible hardware supported by the operating system and Oracle

    The following disk space is required for the Linux x86 platform.
    • A minimum of 20MB of disk space, and optionally:
    • At least 10MB of disk space for each Language Pack to be installed (there are a total of 13 available)


Linux on x86_64
    The following hardware is supported for the Linux x86_64 platform.
    • 64-bit x86 based PC architecture hardware (such as Pentium)
    • 64-bit AMD64/EM64T architecture hardware
    • Compatible hardware supported by the operating system and Oracle

    The following disk space is required for the Linux x86_64 platform.
    • A minimum of 20MB of disk space, and optionally:
    • At least 10MB of disk space for each Language Pack to be installed (there are a total of 13 available)


Linux on System z
    The following hardware is supported for the Linux on System z platform.
    • Any System z machine that is supported by the operating system and Oracle

    The following disk space is required for the Linux on System z platform.
    • A minimum of 20MB of disk space, and optionally:
    • At least 10MB of disk space for each Language Pack to be installed (there are a total of 13 available)


Solaris SPARC
    The following hardware is supported for the Solaris SPARC platform.
    • Sun-4 SPARC, or newer hardware
    • Compatible hardware supported by the operating system and Oracle

    The following disk space is required for the Solaris SPARC platform.
    • A minimum of 20MB of disk space, and optionally:
    • At least 10MB of disk space for each Language Pack to be installed (there are a total of 13 available)


Windows x32
    The following hardware is supported for the Windows x32 platform.
    • Compatible hardware supported by the operating system and Oracle

    The following disk space is required for the Windows x32 platform.
    • A minimum of 70MB of disk space, and optionally:
    • At least 25MB disk space for prerequisites included in the installation package (which are installed automatically if they are not already installed on the system)
    • At least 5MB of disk space for each Language Pack to be installed (there are a total of 13 available)

    TIP: The installation package(s) include prerequisites that will be installed if they have not already been installed onto the system. Installation of the these prerequisite may require a system reboot. To avoid a system reboot, please ensure that all of the minimum software requirements prerequisites detailed in the Additional installation prerequisites section of this document are installed before starting the Data Protection for Oracle installation process.


Windows x64
    The following hardware is supported for the Windows x64 platform.
    • Compatible hardware supported by the operating system and Oracle

    The following disk space is required for the Windows x64 platform.
    • A minimum of 80MB of disk space, and optionally:
    • At least 25MB disk space for prerequisites included in the installation package (which are installed automatically if they are not already installed on the system)
    • At least 5MB of disk space for each Language Pack to be installed (there are a total of 13 available)

    TIP: The installation package(s) include prerequisites that will be installed if they have not already been installed onto the system. Installation of the these prerequisite may require a system reboot. To avoid a system reboot, please ensure that all of the minimum software requirements prerequisites detailed in the Additional installation prerequisites section of this document are installed before starting the Data Protection for Oracle installation process.


Minimum software and operating system requirements

The following information describes the minimum software and operating system requirements when using Data Protection for Oracle.

Operating systems
    The following operating systems are supported for the 64-bit AIX platform.
    • 64-bit AIX 6.1 and later TL levels and fix packs
    • 64-bit AIX 7.1 and later TL levels and fix packs

    The following operating systems are supported for the 64-bit HP Itanium platform.
    • 64-bit HP-UX 11iv3, and later mod levels and fix packs

    The following operating systems are supported for the 32-bit Linux x86 platform.
    • 32-bit Red Hat Enterprise Linux (RHEL) 5.0, and later mod levels and fix packs
    • 32-bit SUSE Enterprise Linux (SLES) 10.0, and later mod levels and fix packs
    • 32-bit SUSE Enterprise Linux (SLES) 11.0, and later mod levels and fix packs
    • 32-bit Asianux 3.0, and later mod levels and fix packs

    The following operating systems are supported for the 64-bit Linux x86_64 platform.
    • 64-bit Red Hat Enterprise Linux (RHEL) 5.0, and later mod levels and fix packs
    • 64-bit Red Hat Enterprise Linux (RHEL) 6.0, and later mod levels and fix packs
    • 64-bit SUSE Enterprise Linux (SLES) 10.0, and later mod levels and fix packs
    • 64-bit SUSE Enterprise Linux (SLES) 11.0, and later mod levels and fix packs
    • 64-bit Asianux 3.0, and later mod levels and fix packs

    The following operating systems are supported for the 64-bit Linux on System z platform.
    • 64-bit Red Hat Enterprise Linux (RHEL) 5.0, and later mod levels and fix packs
    • 64-bit Red Hat Enterprise Linux (RHEL) 6 Update 2, and later mod levels and fix packs
    • 64-bit SUSE Enterprise Linux (SLES) 10.0, and later mod levels and fix packs
    • 64-bit SUSE Enterprise Linux (SLES) 11.0, and later mod levels and fix packs

    The following operating systems are supported for the 64-bit Solaris SPARC platform.
    • 64-bit Solaris 10, and later mod levels and fix packs
    • 64-bit Solaris 11, and later mod levels and fix packs

    The following operating systems are supported for the 32-bit Windows x32 platform.
    • 32-bit Windows Server 2003, or later Service Pack levels: Standard or Enterprise editions
    • 32-bit Windows Server 2003 R2, or later Service Pack levels: Standard or Enterprise editions
    • 32-bit Windows Server 2008, or later Service Pack levels: Standard or Enterprise editions

    The following operating systems are supported for the 64-bit Windows x64 platform.
    • 64-bit Windows Server 2003, or later Service Pack levels: Standard x64 or Enterprise x64 editions
    • 64-bit Windows Server 2003 R2, or later Service Pack levels: Standard x64 or Enterprise x64 editions
    • 64-bit Windows Server 2008, or later Service Pack levels: Standard x64 or Enterprise x64 editions
    • 64-bit Windows Server 2008 R2, or later Service Pack levels: Standard x64 or Enterprise x64 editions


Applications
    The following application levels are supported for the 64-bit AIX platform.
    • 64-bit Oracle 11gR1: Standard or Enterprise Server, and later levels of 11gR1
    • 64-bit Oracle 11gR2: Standard or Enterprise Server, and later levels of 11gR2

    The following application levels are supported for the 64-bit HP Itanium platform.
    • 64-bit Oracle 11gR1: Standard or Enterprise Server, and later levels of 11gR1
    • 64-bit Oracle 11gR2: Standard or Enterprise Server, and later levels of 11gR2

    The following application levels are supported for the 32-bit Linux x86 platform.
    • 32-bit Oracle 11gR1: Standard or Enterprise Server, and later levels of 11gR1
    • 32-bit Oracle 11gR2: Standard or Enterprise Server, and later levels of 11gR2

    The following application levels are supported for the 64-bit Linux x86_64 platform.
    • 64-bit Oracle 11gR1: Standard or Enterprise Server, and later levels of 11gR1
    • 64-bit Oracle 11gR2: Standard or Enterprise Server, and later levels of 11gR2

    The following application levels are supported for the 64-bit Linux on System z platform.
    • 64-bit Oracle 11gR1: Standard or Enterprise Server, and later levels of 11gR1
    • 64-bit Oracle 11gR2: Standard or Enterprise Server, and later levels of 11gR2

    The following application levels are supported for the 64-bit Solaris SPARC platform.
    • 64-bit Oracle 11gR1: Standard or Enterprise Server, and later levels of 11gR1
    • 64-bit Oracle 11gR2: Standard or Enterprise Server, and later levels of 11gR2

    The following application levels are supported for the 32-bit Windows x32 platform.
    • 32-bit Oracle 11gR1: Standard or Enterprise Server, and later levels of 11gR1
    • 32-bit Oracle 11gR2: Standard or Enterprise Server, and later levels of 11gR2

    The following application levels are supported for the 64-bit Windows x64 platform.
    • 64-bit Oracle 11gR1: Standard or Enterprise Server, and later levels of 11gR1
    • 64-bit Oracle 11gR2: Standard or Enterprise Server, and later levels of 11gR2


Additional Operating Environments

The following additional operating environments are supported.
  • Oracle Real Application Clusters as supported with the level of Oracle used in your environment
  • Solaris 10 global zones as supported by the Oracle database used in your environment
  • Solaris 10 non-global (local) zones as supported by the Oracle database used in your environment


Additional installation prerequisites


For the Linux on Z and Solaris SPARC platforms, either of the following prerequisite levels is required by the product installer:
  • Java JRE 6 and later 6.x levels
  • Java JRE 7 and later 7.x levels


The following prerequisites are also required, and are installed automatically by Data Protection for Oracle 6.3.0, if not already present on your machine.
    Windows x32 platform

    32-bit Microsoft Visual C++ 2010 Redistributable Package
    x:\oracle\windows\x32\client\setup\ISSetupPrerequisites\{270b0954-35ca-4324-bbc6-ba5db9072dad}\vcredist_x86.exe
      Note: "x" in the above path represents the drive letter where the product DVD is mounted.

    Windows x64 platform


    64-bit Microsoft Visual C++ 2010 Redistributable Package
    x:\oracle\windows\x64\client\setup\ISSetupPrerequisites\7f66a156-bc3b-479d-9703-65db354235cc}\vcredist_x64.exe
      Note: "x" in the above path represents the drive letter where the product DVD is mounted.

    TIP: The installation package(s) include the above prerequisites and will be installed if they have not already been installed onto the system. Installation of the these prerequisite may require a system reboot. To avoid a system reboot, please ensure that these prerequisites are installed before starting the Data Protection for Oracle installation process.


Additional requirements for the use of TSM Central Scheduling
    On 32-bit platforms:
    • The 32-bit Tivoli Storage Manager Backup-Archive Client 6.3.0, or later

    On 64-bit platforms:
    • The 64-bit Tivoli Storage Manager Backup-Archive Client 6.3.0, or later


Additional requirements
    For the 32-bit Windows platform:
    • The 32-bit Tivoli Storage Manager (TSM) API Client 6.3.0, or later
      Note: The 32-bit Tivoli Storage Manager API Version 6.3.0 is included and automatically installed with Data Protection for Oracle on the Windows x32 platform


    For the 32-bit Linux platform:
    • The 32-bit Tivoli Storage Manager (TSM) API Client 6.2.2, or later levels of 6.2.x
      Note: 32-bit Linux platform support is not available in 6.3 and later levels of the Tivoli Storage Manager API.


    On 64-bit platforms:
    • The 64-bit Tivoli Storage Manager (TSM) API Client 6.3.0, or later
      Note: The 64-bit Tivoli Storage Manager API Version 6.3.0 is included and automatically installed with Data Protection for Oracle on the Windows x64 platform

    All platforms:
    • Any Tivoli Storage Manager Server (TSM) currently in support which is supported by the version of the TSM API Client, or TSM Backup-Archive Client, used in the environment
    TIP: TSM Client/API and Server compatibility information is located in the I BM Tivoli Storage Manager Server/Client Compatibility and Upgrade Considerations tech note located here: http://www.ibm.com/support/docview.wss?uid=swg21053218


    All platforms except Windows:
    • IBM or Oracle Java 6, and later mod levels and fix packs
    • IBM or Oracle Java 7, and later mod levels and fix packs


Virtualization support

Information regarding the virtualization environments supported by Tivoli Storage Manager for Databases: Data Protection for Oracle is documented in the IBM Tivoli Storage Manager (TSM) guest support for Virtual Machines and Virtualization tech note located here: http://www.ibm.com/support/docview.wss?&uid=swg21239546


Where to download IBM Tivoli Storage Manager for Databases 6.3.0

The Tivoli Storage Manager for Databases download document provides information about how and where to obtain the Tivoli Storage Manager for Databases 6.3.0 packages. The information is located at: http://www.ibm.com/support/docview.wss?uid=swg24030438
    Note: This document will available on the October 21, 2011 electronic availability.

    TIP: Data Protection for Oracle 6.3.0 is a component of Tivoli Storage Manager for Databases 6.3.0


Links to the Hardware & Software requirements for other releases of Tivoli Storage Manager for Databases, and its components

Links to the Hardware & Software requirements for other releases of Tivoli Storage Manager for Databases, and its components, are located in the "All Requirements Doc" located at:
http://www.ibm.com/support/docview.wss?uid=swg21218747

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Tivoli Storage Manager for Databases
Data Protection for Oracle

Software version:

6.3

Operating system(s):

AIX, HP-UX on Itanium, Linux on System z, Linux xSeries, Solaris, Windows

Reference #:

1567519

Modified date:

2013-12-06

Translate my page

Machine Translation

Content navigation